Bug 123365 - k3b needs to run cdrecord with root privileges
k3b needs to run cdrecord with root privileges
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-17 14:18 EDT by Stefan Schwandter
Modified: 2014-03-16 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-24 16:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Schwandter 2004-05-17 14:18:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
I think the default behaviour of xcdroast in fedora (that it's run as
root by default) has a reason: cdrecord needs to be run as root to
give as much protection against buffer underruns as possible. AFAIK
that's because it needs to be able to set realtime scheduling priority.

The k3b package that's in rawhide now doesn't even have k3bsetup which
could make cdrecord setuid root automatically.

Maybe k3b should be run as root by consolehelper?

Version-Release number of selected component (if applicable):
k3b-0.11.9-3

How reproducible:
Sometimes

Steps to Reproduce:
1. Burn a CDR with k3b
2. Heavy disc access (I installed kdebase with yum, for example) can
cause a buffer underrun
    

Additional info:
Comment 1 Bill Nottingham 2004-05-24 16:32:04 EDT
No; doing so can lead to security holes and increases in update
frequency, which is more work all around.

Note You need to log in before you can comment on or make changes to this bug.